> ## Documentation Index
> Fetch the complete documentation index at: https://docs.bigdata.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Quote

> This endpoint provides real-time asset quotes with the Quote API. Access up-to-the-minute prices, price changes, and trading volume for individual assets, ensuring you stay on top of market movements. Assets covered include stocks, cryptocurrencies, commodities, and ETFs.



## OpenAPI

````yaml /api-rest/openapi/openapi_structured_data.json post /v1/quote/query
openapi: 3.1.0
info:
  title: Bigdata Structured Data API
  description: Bigdata API documentation
  version: 1.0.0
servers:
  - url: https://api.bigdata.com/
security:
  - ApiKeyAuth: []
tags:
  - name: Market Data
    description: >-
      Market data endpoints including intraday prices, daily prices, price
      changes, and real-time quotes
  - name: Analyst Estimates
    description: >-
      Analyst estimates and ratings including analyst ratings, estimates, target
      prices, and earnings surprises
  - name: Financials & Ratios
    description: >-
      Financial statements and ratios including balance sheet, income statement,
      cash flow statement, key metrics TTM, and company ratios TTM
  - name: Company & Events
    description: >-
      Company information and events including company profile and events
      calendar
  - name: Fund Holdings
    description: >-
      Institutional fund holdings from SEC 13F filings including fund holdings
      and stock fund holdings
  - name: Knowledge Graph
    description: Corporate ownership and hierarchy data.
paths:
  /v1/quote/query:
    post:
      tags:
        - Market Data
      summary: Quote
      description: >-
        This endpoint provides real-time asset quotes with the Quote API. Access
        up-to-the-minute prices, price changes, and trading volume for
        individual assets, ensuring you stay on top of market movements. Assets
        covered include stocks, cryptocurrencies, commodities, and ETFs.
      operationId: query_company_quote_v1_quote_query_post
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CompanyQuoteQuery'
        required: true
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PublicCompanyQuoteResponse'
components:
  schemas:
    CompanyQuoteQuery:
      properties:
        identifier:
          $ref: '#/components/schemas/Identifier'
          description: >-
            Object specifying which identifier you are using to request the
            quote. You must supply one type and its corresponding value.
      type: object
      required:
        - identifier
      title: CompanyQuoteQuery
    PublicCompanyQuoteResponse:
      properties:
        results:
          items:
            $ref: '#/components/schemas/CompanyQuote'
          type: array
          title: Results
        errors:
          anyOf:
            - items:
                $ref: '#/components/schemas/ErrorDetail'
              type: array
            - type: 'null'
          title: Errors
        metadata:
          anyOf:
            - $ref: '#/components/schemas/Metadata'
            - type: 'null'
      type: object
      required:
        - results
      title: PublicCompanyQuoteResponse
    Identifier:
      properties:
        type:
          $ref: '#/components/schemas/IdentifierType'
          description: >-
            The identifier namespace. Currently only `rp_entity_id` is
            supported.
          default: rp_entity_id
          examples:
            - rp_entity_id
        value:
          anyOf:
            - type: string
            - items:
                type: string
              type: array
          title: Value
          description: >-
            Bigdata uses the RavenPack Entity identifier (RP_Entity_ID) to
            uniquely reference entities such as companies. This identifier is a
            6-character alphanumeric code (letters and numbers only). Example:
            Alphabet Inc. (`4A6F00`)
          examples:
            - 4A6F00
      type: object
      required:
        - type
        - value
      title: Identifier
    CompanyQuote:
      properties:
        rp_entity_id:
          type: string
          title: Rp Entity Id
          description: RavenPack internal entity identifier.
          examples:
            - 4A6F00
        target_identifier_id:
          type: string
          title: Target Identifier Id
          description: The target identifier provided in the request, e.g., stock symbol.
          examples:
            - GOOGL
        name:
          type: string
          title: Name
          description: The name of the company.
          examples:
            - Alphabet Inc.
        price:
          anyOf:
            - type: number
            - type: 'null'
          title: Price
          description: The current price of the company.
          examples:
            - 245.79
        change_percentage:
          anyOf:
            - type: number
            - type: 'null'
          title: Change Percentage
          description: The percentage change in the price of the company.
          examples:
            - -0.546
        change:
          anyOf:
            - type: number
            - type: 'null'
          title: Change
          description: The change in the price of the company.
          examples:
            - -1.35
        volume:
          anyOf:
            - type: integer
            - type: 'null'
          title: Volume
          description: The volume of the company.
          examples:
            - 30515935
        day_low:
          anyOf:
            - type: number
            - type: 'null'
          title: Day Low
          description: The low price of the company.
          examples:
            - 240.74
        day_high:
          anyOf:
            - type: number
            - type: 'null'
          title: Day High
          description: The high price of the company.
          examples:
            - 246.49
        year_high:
          anyOf:
            - type: number
            - type: 'null'
          title: Year High
          description: The highest price of the company in the last year.
          examples:
            - 256
        year_low:
          anyOf:
            - type: number
            - type: 'null'
          title: Year Low
          description: The lowest price of the company in the last year.
          examples:
            - 140.53
        market_cap:
          anyOf:
            - type: number
            - type: 'null'
          title: Market Cap
          description: The market cap of the company.
          examples:
            - 2972724892681
        price_avg_50:
          anyOf:
            - type: number
            - type: 'null'
          title: Price Avg 50
          description: The average price of the company over the last 50 days.
          examples:
            - 214.116
        price_avg_200:
          anyOf:
            - type: number
            - type: 'null'
          title: Price Avg 200
          description: The average price of the company over the last 200 days.
          examples:
            - 184.673
        exchange:
          anyOf:
            - type: string
            - type: 'null'
          title: Exchange
          description: The exchange of the company.
          examples:
            - NASDAQ
        open:
          anyOf:
            - type: number
            - type: 'null'
          title: Open
          description: The opening price of the company.
          examples:
            - 244.165
        previous_close:
          anyOf:
            - type: number
            - type: 'null'
          title: Previous Close
          description: The previous closing price of the company.
          examples:
            - 247.14
        timestamp:
          anyOf:
            - type: string
            - type: 'null'
          title: Timestamp
          description: The timestamp of the company quote.
          examples:
            - '2025-09-25T20:00:00'
        currency:
          anyOf:
            - type: string
            - type: 'null'
          title: Currency
          description: The currency of the asset.
          examples:
            - USD
      type: object
      required:
        - rp_entity_id
        - target_identifier_id
        - name
        - price
        - change_percentage
        - change
        - volume
        - day_low
        - day_high
        - year_high
        - year_low
        - market_cap
        - price_avg_50
        - price_avg_200
        - exchange
        - open
        - previous_close
        - timestamp
        - currency
      title: CompanyQuote
    ErrorDetail:
      properties:
        message:
          anyOf:
            - type: string
            - type: 'null'
          title: Message
      type: object
      title: ErrorDetail
    Metadata:
      properties:
        request_id:
          type: string
          title: Request Id
        timestamp:
          type: string
          title: Timestamp
      type: object
      required:
        - request_id
      title: Metadata
    IdentifierType:
      type: string
      enum:
        - rp_entity_id
      title: IdentifierType
      default: rp_entity_id
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: X-API-KEY

````